Last modified: 2012-04-19 21:43:09 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20568 - Navigable TOC : Cursor position is not visible when link is clicked in Firefox
Navigable TOC : Cursor position is not visible when link is clicked in Firefox
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows XP
: Normal minor (vote)
: ---
Assigned To: Trevor Parscal
http://prototype.wikimedia.org/en.wik...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-09-09 19:38 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Calcey QA 2009-09-09 19:38:16 UTC
Reporting against Babaco Release. (Hosted on http://prototype.wikimedia.org)

Steps to Reproduce ::
1)Navigate to a page with table of content 
2)Click on Edit link
3)Click on a link in the table of content 

<<Cursor is move to the title. But it is out of the display area in the Edit window. 
The scroll bar is not moved to show cursor position in the display area>>


Expected Outcome ::
Scroll bar shall be moved to show the Cursor position in the display area of Edit window.



Test Environment ::


Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.2) Gecko/20090729 Firefox/3.5.2
Javascript: 	Enabled
Cookies Enabled: 	Enabled
CPU class/type: 	OS/CPU Windows NT 5.1
Comment 1 Roan Kattouw 2009-09-10 12:42:24 UTC
This is a known bug that happens when an article contains words (i.e. long sequences of characters without spaces) that don't fit on one line in the textarea (mostly URLs). Moreover, it doesn't happen in IE.
Comment 2 Calcey QA 2009-09-29 05:01:47 UTC
Added keyword babaco to the bug
Comment 3 Calcey QA 2009-09-29 12:55:02 UTC
Valid for following browser version as well.

Browser (User-Agent): Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US) AppleWebKit/530.17 (KHTML, like Gecko) Version/4.0 Safari/530.17

Browser (User-Agent): Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US) AppleWebKit/525.28 (KHTML, like Gecko) Version/3.2.2 Safari/525.28.1
Comment 4 Roan Kattouw 2010-01-22 22:15:16 UTC
Now that we're using an iframe instead of a textarea, this doesn't happen anymore.
Comment 5 Calcey QA 2010-01-25 04:44:28 UTC
Verified in r61474 and closed

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links